import { Buff, Bytes } from '@cmdcode/buff-utils';
import { MusignContext } from './index.js';
export interface SignOptions {
    aux?: Bytes;
    adaptor?: string;
    tweak?: Bytes;
    throws?: boolean;
}
export interface SignerOptions extends SignOptions {
    hd_code?: Bytes;
    hd_path?: string;
    recovery?: Bytes;
}
export declare class Signer {
    static generate(opt?: SignerOptions): Signer;
    readonly _pubkey: Buff;
    readonly _seckey: Buff;
    readonly _chain?: Buff;
    readonly _config: SignerOptions;
    constructor(secret: Bytes, options?: SignerOptions);
    get pubkey(): Buff;
    _gen_nonce(opt?: SignOptions): (msg: Bytes) => Buff;
    _signer(opt?: SignOptions): (msg: Bytes) => Buff;
    _musigner(opt?: SignOptions): (context: MusignContext) => Buff;
    derive(path: string): Signer;
    ecdh(pubkey: Bytes): Buff;
    hmac(message: Bytes): Buff;
    gen_nonce(message: Bytes, options?: SignOptions): Buff;
    sign(message: Bytes, options?: SignOptions): Buff;
    musign(context: MusignContext, options?: SignOptions): Buff;
    with(opt: SignOptions): Signer;
}
//# sourceMappingURL=signer.d.ts.map